package com.yanzuoguang.mq.service;


import com.yanzuoguang.mq.vo.QueueVo;
import com.yanzuoguang.mq.vo.req.QueueQueryReqVo;
import com.yanzuoguang.util.vo.PageSizeData;

/**
 * 队列服务
 */
public interface QueueService {
    /**
     * 保存接口请求日志
     *
     * @param req 保存队列服务
     * @return 返回队列编号
     */
    String create(QueueVo req);

    /**
     * @param req
     * @return
     */
    PageSizeData<QueueVo> query(QueueQueryReqVo req);

    /**
     * 初始化队列的对象，该函数只会调用成功一次，当成功一次之后，不会再次调用
     */
    void init();
}
